libnjb: njb_songid_frame_struct Struct Reference

libnjb 2.2.7

Data Fields
njb_songid_frame_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
char * | label
u_int8_t | type
union {
char * strval
u_int8_t u_int8_val
u_int16_t u_int16_val
u_int32_t u_int32_val
u_int64_t u_int64_val
} | data
njb_songid_frame_t * | next

## Detailed Description

The song ID frame struct, one song ID has many such frames, stored as a linked list.

Examples:
  gettr.c, sendtr.c, tagtr.c, and tracks.c.

## Field Documentation

## § data

union { ... } njb_songid_frame_struct::data

This is a union of possible frame types

Examples:
  gettr.c, and tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), NJB_Songid_Frame_New_Uint16(), NJB_Songid_Frame_New_Uint32(), songid_pack(), and songid_sanity_check().

## § label

char* njb_songid_frame_struct::label

terminated string with frame type

Examples:
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Findframe(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), NJB_Songid_Frame_New_Uint16(), NJB_Songid_Frame_New_Uint32(), songid_pack(), and songid_sanity_check().

## § next

njb_songid_frame_t* njb_songid_frame_struct::next

A pointer to the next frame following this one in the song ID

Referenced by NJB_Songid_Addframe(), and NJB_Songid_Getframe().

## § strval

char* njb_songid_frame_struct::strval

A string value

Examples:
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), songid_pack(), and songid_sanity_check().

## § type

u_int8_t njb_songid_frame_struct::type

this tells us which subtype it is

Examples:
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_Destroy(), NJB_Songid_Frame_New_String(), NJB_Songid_Frame_New_Uint16(), NJB_Songid_Frame_New_Uint32(), songid_pack(), and songid_sanity_check().

## § u_int16_val

u_int16_t njb_songid_frame_struct::u_int16_val

A 16 bit unsigned integer value

Examples:
  tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_New_Uint16(), songid_pack(), and songid_sanity_check().

## § u_int32_val

u_int32_t njb_songid_frame_struct::u_int32_val

A 32 bit unsigned integer value

Examples:
  gettr.c, and tracks.c.

Referenced by NJB_Replace_Track_Tag(), NJB_Songid_Frame_New_Uint32(), songid_pack(), and songid_sanity_check().

## § u_int64_val

u_int64_t njb_songid_frame_struct::u_int64_val

A 64 bit unsigned integer value

## § u_int8_val

u_int8_t njb_songid_frame_struct::u_int8_val

An 8 bit unsigned integer value

The documentation for this struct was generated from the following file:

- /usr/obj/ports/libnjb-2.2.7/libnjb-2.2.7/src/libnjb.h